QGIS Application - Bug report #13710
postgis view layer with compound key lost on project reload
2015-10-29 08:16 AM - Jochen Huber

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No
Operating System: Windows (OSgeo4W) Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21737
Description

With QGIS 2.12, it is possible to load Postgis views with compound primary keys - a very useful feature. The Layers can be visualized and
the attribute table is displayed correctly.

However, when loading a saved project file with such a layer, the layer is shown as defective and has to be manually added once again.
Postgis Layers for views with a single key field are loaded correctly.

An example project file with two sample layers is attached. Layer "test" (one pk field) loads correctly, layer "ViewGwStichtag" (two pk
fields, both of type 'character varying') does not.

Associated revisions

Revision daa65109 - 2015-11-01 03:53 PM - Jiirgen Fischer

postgres provider: quote compound key columns in uri (fixes #13710)

Revision fa47¢963 - 2015-11-01 09:47 PM - Jiirgen Fischer

postgres provider: quote compound key columns in uri (fixes #13710)

(cherry picked from commit daa6510970e9afbc4d41d28e0c94b4f238eb372d)

History

#1 - 2015-11-01 06:57 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"daa6510970e9afbc4d41d28e0c94b4f238eb372d".

#2 - 2016-10-13 01:55 AM - Sandro Santilli

This change broke drag & drop copying of views from DBManager, see #15226

Files

test.qgs 23 KB 2015-10-29 Jochen Huber
